### Constructor

# FwupdPlugin IOChannel new_file

#### Declaration [src]

    FuIOChannel*
    fu_io_channel_new_file (
      const gchar* filename,
      FuIoChannelOpenFlags open_flags,
      GError** error
    )

#### Description [src]

Creates a new object to write and/or read from.

Available since: | 2.0.0

#### Parameters

`filename` | `const gchar*`
| Device file.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`open_flags` | `FuIoChannelOpenFlags`
| Some `FuIoChannelOpenFlags` typically `FU_IO_CHANNEL_OPEN_FLAG_READ`.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `FuIOChannel`
| A `FuIOChannel`.
| The caller of the function takes ownership of the data, and is responsible for freeing it.